petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSetDMActive

Indicates the DM should be used to generate the linear system matrix and right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetDMActive(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - the preconditioner context
| flg | - use the DM

### Notes

By default KSPSetDM() sets the DM as active, call KSPSetDMActive(ksp,PETSC_FALSE); after KSPSetDM(ksp,dm) to not have the KSP object use the DM to generate the matrices.

### See Also

KSPGetDM(), KSPSetDM(), SNESSetDM(), KSPSetComputeOperators(), KSPSetComputeRHS(), KSPSetComputeInitialGuess()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages